# Class TreeTableLoadDialog

java.lang.Object
uk.ac.starlink.table.gui.AbstractTableLoadDialog
uk.ac.starlink.datanode.tree.TreeTableLoadDialog

All Implemented Interfaces:
  `uk.ac.starlink.table.gui.TableLoadDialog`

public class TreeTableLoadDialog extends uk.ac.starlink.table.gui.AbstractTableLoadDialog
Table load dialogue which can select tables from a datanode tree.

Since:
  14 Sep 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TreeTableLoadDialog()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected TableNodeChooser`
`createNodeChooser()`
Constructs a node chooser for use with this dialogue.
`Component`
`createQueryComponent()`
`uk.ac.starlink.table.gui.TableLoader`
`createTableLoader()`
`boolean`
`isReady()`

### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

`addToolbarAction, asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeTableLoadDialog

public TreeTableLoadDialog()
Constructor.

## Method Details

### createQueryComponent

public Component createQueryComponent()

Specified by:
  `createQueryComponent` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

### isReady

public boolean isReady()

Overrides:
  `isReady` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

### createTableLoader

public uk.ac.starlink.table.gui.TableLoader createTableLoader()

### createNodeChooser

protected TableNodeChooser createNodeChooser()
Constructs a node chooser for use with this dialogue.

Returns:
  new node chooser